
#ifndef _DAMLDB_DBFACTORY_HH
#define _DAMLDB_DBFACTORY_HH

#if defined (sun)
#  pragma ident "@(#)$Id: DBFactory.hh,v 1.2 2002/04/09 02:04:46 neves Exp $"
#endif

#include "damldb/Export.hh"
#include "damldb/IDamlDB.hh"
#include "damldb/Portability.hh"
#include "damldb/damldb_iodb.hh"

#include <iostream>

#ifdef CCXX_NAMESPACES
namespace damldb {
USES(std,string);
#endif

  /** DBFactory is an abstract factory for creating databases.
   */
  class __EXPORT DBFactory {
  public:

    virtual IDamlDB* newDatabase(const string& path, const int open_mode = (iodb::in | iodb::nocreate)) =0;
  };

#ifdef CCXX_NAMESPACES
} // namespace damldb
#endif

#endif //!_DAMLDB_DBFACTORY_HH

// Emacs
// Local Variables:
// mode: c++
// c-basic-offset: 2
// End:
