#ifndef _DAMLDB_TYPES_HH
#define _DAMLDB_TYPES_HH

#if defined (sun)
#  pragma ident "@(#)$Id: Types.hh,v 1.2 2002/04/09 02:04:46 neves Exp $"
#endif

#include "damldb/MMapAllocatorImpl.hh"
#include "damldb/Portability.hh"
#include "damldb/RecordDB.hh"
#include "damldb/Statement.hh"

#ifdef CCXX_NAMESPACES
namespace damldb {
#endif

  typedef MMapAllocatorImpl<Statement>			stmt_mapped_allocator;
  typedef MMapAllocatorImpl<Resource>			res_mapped_allocator;
  typedef RecordDB<Statement, stmt_mapped_allocator >	StatementDB;
  typedef RecordDB<Resource, res_mapped_allocator >	ResourceDB;

#ifdef CCXX_NAMESPACES
} // namespace damldb
#endif

#endif /* !_DAMLDB_TYPES_HH */

// Emacs
// Local Variables:
// mode: c++
// c-basic-offset: 2
// End:
