// $Id: Model.java,v 1.1 2002/04/05 04:21:52 neves Exp $


package org.daml.damldb.jena;


public class Model
    implements com.hp.hpl.mesa.rdf.jena.model.Model
{
    static void simpleUnimplemented(String name)
    {
        System.err.println("org.daml.damldb.jena.Model." + name + " unimplemented");
    }

    static void unimplemented(String name)
    throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
	simpleUnimplemented(name);
	throw new com.hp.hpl.mesa.rdf.jena.model.RDFException(com.hp.hpl.mesa.rdf.jena.model.RDFException.UNSUPPORTEDOPERATION);
    }

    public boolean equals(java.lang.Object object)
    {
        boolean retval = false;
        simpleUnimplemented("equals");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource getResource(java.lang.String p0, com.hp.hpl.mesa.rdf.jena.model.ResourceF p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("getResource");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource getResource(java.lang.String uri)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
	return new Property(org.daml.damldb.DAMLDB.toLong(uri));
    }

    /**
     * internal function
     */
    static com.hp.hpl.mesa.rdf.jena.model.Resource getResource(long resourceID)
    {
	return new Resource(resourceID);
    }

    /**
     * internal function
     */
    static com.hp.hpl.mesa.rdf.jena.model.Property getProperty(long resourceID)
    {
	return new Property(resourceID);
    }

    /**
     * internal function
     */
    static com.hp.hpl.mesa.rdf.jena.model.Literal getLiteral(long resourceID)
    {
	return new Literal(resourceID);
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.String p2, boolean p3)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.String p2, java.lang.String p3, boolean p4)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, char p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, com.hp.hpl.mesa.rdf.jena.model.RDFNode p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.Object p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Statement p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, boolean p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, long p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.String p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, float p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, double p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.StmtIterator p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Model p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model add(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.String p2, java.lang.String p3)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("add");
        return retval;
    }

    public long size()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
	return org.daml.damldb.DAMLDB.size();
    }

    public com.hp.hpl.mesa.rdf.jena.model.Property getProperty(java.lang.String uri)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
	return new Property(org.daml.damldb.DAMLDB.toLong(uri));
    }

    public com.hp.hpl.mesa.rdf.jena.model.Property getProperty(java.lang.String p0, java.lang.String p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Property retval = null;
        unimplemented("getProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement getProperty(com.hp.hpl.mesa.rdf.jena.model.Resource s,
								com.hp.hpl.mesa.rdf.jena.model.Property p)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
	// XXX
        unimplemented("getProperty");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, long p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, char p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.Object p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, boolean p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Statement p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.String p2, java.lang.String p3)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, com.hp.hpl.mesa.rdf.jena.model.RDFNode p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.String p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, double p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public boolean contains(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, float p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("contains");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model remove(com.hp.hpl.mesa.rdf.jena.model.Model p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("remove");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model remove(com.hp.hpl.mesa.rdf.jena.model.Statement p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("remove");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model remove(com.hp.hpl.mesa.rdf.jena.model.StmtIterator p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("remove");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model write(java.io.Writer p0, java.lang.String p1, java.lang.String p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("write");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model write(java.io.Writer p0, java.lang.String p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("write");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model write(java.io.Writer p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("write");
        return retval;
    }

    public boolean containsAll(com.hp.hpl.mesa.rdf.jena.model.Model p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("containsAll");
        return retval;
    }

    public boolean containsAll(com.hp.hpl.mesa.rdf.jena.model.StmtIterator p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("containsAll");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model read(java.io.Reader p0, java.lang.String p1, java.lang.String p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("read");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model read(java.io.Reader p0, java.lang.String p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("read");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model read(java.lang.String p0, java.lang.String p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("read");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model read(java.lang.String p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("read");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model query(com.hp.hpl.mesa.rdf.jena.model.Selector p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("query");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjects()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.ResIterator retval = null;
	// XXX
        unimplemented("listSubjects");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.NsIterator listNameSpaces()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.NsIterator retval = null;
        unimplemented("listNameSpaces");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.StmtIterator listStatements(final com.hp.hpl.mesa.rdf.jena.model.Selector selector)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
	System.out.println("listStatements(Selector)");	// XXX
        return new StmtIterator()
	    {
		boolean test(long statement)
		    throws Exception
		{
		    return selector.test(new Statement(statement));
		}
	    };
    }

    public com.hp.hpl.mesa.rdf.jena.model.StmtIterator listStatements()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
	return new StmtIterator()
	    {
		boolean test(long statement)
		    throws Exception
		{
		    return true;
		}
	    };
    }

    public com.hp.hpl.mesa.rdf.jena.model.StmtIterator listReifiedStatements()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.StmtIterator retval = null;
        unimplemented("listReifiedStatements");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Bag getBag(com.hp.hpl.mesa.rdf.jena.model.Resource p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Bag retval = null;
        unimplemented("getBag");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Bag getBag(java.lang.String p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Bag retval = null;
        unimplemented("getBag");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Alt getAlt(java.lang.String p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Alt retval = null;
        unimplemented("getAlt");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Alt getAlt(com.hp.hpl.mesa.rdf.jena.model.Resource p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Alt retval = null;
        unimplemented("getAlt");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Seq getSeq(com.hp.hpl.mesa.rdf.jena.model.Resource p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Seq retval = null;
        unimplemented("getSeq");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Seq getSeq(java.lang.String p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Seq retval = null;
        unimplemented("getSeq");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource createResource(com.hp.hpl.mesa.rdf.jena.model.ResourceF p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("createResource");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource createResource(java.lang.String uri)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
	return getResource(org.daml.damldb.DAMLDB.toLong(uri)); // XXX - error handling
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource createResource()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("createResource()");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource createResource(com.hp.hpl.mesa.rdf.jena.model.Resource p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("createResource");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource createResource(java.lang.String p0, com.hp.hpl.mesa.rdf.jena.model.Resource p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("createResource");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource createResource(java.lang.String p0, com.hp.hpl.mesa.rdf.jena.model.ResourceF p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("createResource");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Property createProperty(java.lang.String uri)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
	return getProperty(org.daml.damldb.DAMLDB.toLong(uri)); // XXX - error handling
    }

    public com.hp.hpl.mesa.rdf.jena.model.Property createProperty(java.lang.String p0, java.lang.String p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Property retval = null;
        unimplemented("createProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Literal createLiteral(char p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Literal retval = null;
        unimplemented("createLiteral");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Literal createLiteral(java.lang.String string)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
	return getLiteral(org.daml.damldb.DAMLDB.toLong(string)); // XXX - error handling
    }

    public com.hp.hpl.mesa.rdf.jena.model.Literal createLiteral(double p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Literal retval = null;
        unimplemented("createLiteral");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Literal createLiteral(java.lang.Object p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Literal retval = null;
        unimplemented("createLiteral");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Literal createLiteral(java.lang.String p0, java.lang.String p1, boolean p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Literal retval = null;
        unimplemented("createLiteral");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Literal createLiteral(java.lang.String p0, java.lang.String p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Literal retval = null;
        unimplemented("createLiteral");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Literal createLiteral(java.lang.String p0, boolean p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Literal retval = null;
        unimplemented("createLiteral");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Literal createLiteral(long p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Literal retval = null;
        unimplemented("createLiteral");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Literal createLiteral(float p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Literal retval = null;
        unimplemented("createLiteral");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Literal createLiteral(boolean p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Literal retval = null;
        unimplemented("createLiteral");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, double p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, long p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.String p2, boolean p3)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, com.hp.hpl.mesa.rdf.jena.model.RDFNode p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, char p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.Object p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.String p2, java.lang.String p3, boolean p4)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, boolean p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.String p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, java.lang.String p2, java.lang.String p3)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement createStatement(com.hp.hpl.mesa.rdf.jena.model.Resource p0, com.hp.hpl.mesa.rdf.jena.model.Property p1, float p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("createStatement");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Bag createBag()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Bag retval = null;
        unimplemented("createBag");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Bag createBag(java.lang.String p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Bag retval = null;
        unimplemented("createBag");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Alt createAlt(java.lang.String p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Alt retval = null;
        unimplemented("createAlt");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Alt createAlt()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Alt retval = null;
        unimplemented("createAlt");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Seq createSeq(java.lang.String p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Seq retval = null;
        unimplemented("createSeq");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Seq createSeq()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Seq retval = null;
        unimplemented("createSeq");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjectsWithProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, float p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.ResIterator retval = null;
        unimplemented("listSubjectsWithProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjectsWithProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, char p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.ResIterator retval = null;
        unimplemented("listSubjectsWithProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjectsWithProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, long p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.ResIterator retval = null;
        unimplemented("listSubjectsWithProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjectsWithProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, boolean p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.ResIterator retval = null;
        unimplemented("listSubjectsWithProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjectsWithProperty(com.hp.hpl.mesa.rdf.jena.model.Property p,
									       com.hp.hpl.mesa.rdf.jena.model.RDFNode o)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
	return new ResPOIterator(((Property) p).index,
				 ((RDFNode) o).index,
				  o instanceof com.hp.hpl.mesa.rdf.jena.model.Literal);
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjectsWithProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, java.lang.Object p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.ResIterator retval = null;
        unimplemented("listSubjectsWithProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjectsWithProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, double p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.ResIterator retval = null;
        unimplemented("listSubjectsWithProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjectsWithProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, java.lang.String p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.ResIterator retval = null;
        unimplemented("listSubjectsWithProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjectsWithProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.ResIterator retval = null;
        unimplemented("listSubjectsWithProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.ResIterator listSubjectsWithProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, java.lang.String p1, java.lang.String p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.ResIterator retval = null;
        unimplemented("listSubjectsWithProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.NodeIterator listObjects()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.NodeIterator retval = null;
	// XXX
        unimplemented("listObjects");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.NodeIterator listObjectsOfProperty(com.hp.hpl.mesa.rdf.jena.model.Resource s,
									     com.hp.hpl.mesa.rdf.jena.model.Property p)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.NodeIterator retval = null;
	// XXX
        unimplemented("listObjectsOfProperty(Resource, Property)");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.NodeIterator listObjectsOfProperty(com.hp.hpl.mesa.rdf.jena.model.Property p)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.NodeIterator retval = null;
	// XXX
        unimplemented("listObjectsOfProperty(Property)");
        return retval;
    }

    public boolean containsAny(com.hp.hpl.mesa.rdf.jena.model.Model p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("containsAny");
        return retval;
    }

    public boolean containsAny(com.hp.hpl.mesa.rdf.jena.model.StmtIterator p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("containsAny");
        return retval;
    }

    public boolean isReified(com.hp.hpl.mesa.rdf.jena.model.Statement p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("isReified");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model union(com.hp.hpl.mesa.rdf.jena.model.Model p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("union");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model intersection(com.hp.hpl.mesa.rdf.jena.model.Model p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("intersection");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model difference(com.hp.hpl.mesa.rdf.jena.model.Model p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("difference");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model begin()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("begin");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model abort()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("abort");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model commit()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("commit");
        return retval;
    }

    public boolean independent()
    {
        boolean retval = false;
        simpleUnimplemented("independent");
        return retval;
    }

    public boolean supportsTransactions()
    {
        return false;
    }

    public boolean supportsSetOperations()
    {
        return false;
    }

    public com.hp.hpl.mesa.rdf.jena.model.RDFReader getReader(java.lang.String p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.RDFReader retval = null;
        unimplemented("getReader");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.RDFReader getReader()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.RDFReader retval = null;
        unimplemented("getReader");
        return retval;
    }

    public java.lang.String setReaderClassName(java.lang.String p0, java.lang.String p1)
    {
        java.lang.String retval = null;
        simpleUnimplemented("setReaderClassName");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.RDFWriter getWriter(java.lang.String p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.RDFWriter retval = null;
        unimplemented("getWriter");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.RDFWriter getWriter()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.RDFWriter retval = null;
        unimplemented("getWriter");
        return retval;
    }

    public java.lang.String setWriterClassName(java.lang.String p0, java.lang.String p1)
    {
        java.lang.String retval = null;
        simpleUnimplemented("setWriterClassName");
        return retval;
    }
}
