// $Id: Resource.java,v 1.1 2002/04/05 04:21:52 neves Exp $


package org.daml.damldb.jena;


class Resource
    extends RDFNode
    implements com.hp.hpl.mesa.rdf.jena.model.Resource
{
    Resource(long index)
    {
	super(index);
    }

    static void unimplemented(String name)
    {
        System.err.println("Resource." + name + " unimplemented");
    }

    public boolean equals(java.lang.Object object)
    {
        return ((Resource) object).index == index;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Statement getProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Statement retval = null;
        unimplemented("getProperty");
        return retval;
    }

    public int getId()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        int retval = 0;
        unimplemented("getId");
        return retval;
    }

    public java.lang.String getURI()
    {
        return toString();
    }

    public boolean isAnon()
    {
        boolean retval = false;
        unimplemented("isAnon");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.StmtIterator listProperties()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.StmtIterator retval = null;
        unimplemented("listProperties");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.StmtIterator listProperties(com.hp.hpl.mesa.rdf.jena.model.Property p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.StmtIterator retval = null;
        unimplemented("listProperties");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource addProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, boolean p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("addProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource addProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, long p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("addProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource addProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, char p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("addProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource addProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, float p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("addProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource addProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, double p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("addProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource addProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, java.lang.String p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("addProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource addProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, java.lang.String p1, java.lang.String p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("addProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource addProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, java.lang.Object p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("addProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource addProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, com.hp.hpl.mesa.rdf.jena.model.RDFNode p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("addProperty");
        return retval;
    }

    public boolean hasProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, java.lang.String p1, java.lang.String p2)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("hasProperty");
        return retval;
    }

    public boolean hasProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, boolean p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("hasProperty");
        return retval;
    }

    public boolean hasProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, long p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("hasProperty");
        return retval;
    }

    public boolean hasProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, char p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("hasProperty");
        return retval;
    }

    public boolean hasProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, float p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("hasProperty");
        return retval;
    }

    public boolean hasProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, double p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("hasProperty");
        return retval;
    }

    public boolean hasProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, java.lang.String p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("hasProperty");
        return retval;
    }

    public boolean hasProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("hasProperty");
        return retval;
    }

    public boolean hasProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, java.lang.Object p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("hasProperty");
        return retval;
    }

    public boolean hasProperty(com.hp.hpl.mesa.rdf.jena.model.Property p0, com.hp.hpl.mesa.rdf.jena.model.RDFNode p1)
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        boolean retval = false;
        unimplemented("hasProperty");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource removeProperties()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("removeProperties");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource begin()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("begin");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource abort()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("abort");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Resource commit()
        throws com.hp.hpl.mesa.rdf.jena.model.RDFException
    {
        com.hp.hpl.mesa.rdf.jena.model.Resource retval = null;
        unimplemented("commit");
        return retval;
    }

    public com.hp.hpl.mesa.rdf.jena.model.Model getModel()
    {
        com.hp.hpl.mesa.rdf.jena.model.Model retval = null;
        unimplemented("getModel");
        return retval;
    }
}
